<?php

//backwards compatible location definitions for 2.5.x
if ( !defined( 'WP_CONTENT_URL' ) )
    define( 'WP_CONTENT_URL', get_option( 'siteurl' ) . '/wp-content' );
if ( !defined( 'WP_CONTENT_DIR' ) )
    define( 'WP_CONTENT_DIR', ABSPATH . 'wp-content' );
if ( !defined( 'WP_PLUGIN_URL' ) )
    define( 'WP_PLUGIN_URL', WP_CONTENT_URL . '/plugins' );
if ( !defined( 'WP_PLUGIN_DIR' ) )
    define( 'WP_PLUGIN_DIR' , WP_CONTENT_DIR . '/plugins' );

function wt_menu_prereqs() {
    wp_register_script("ltoh", WordTrailsGlobal::$urlpath . "js/ltoh.js", array("jquery"));
    $prereqs = array('sack', 'postbox', 'ltoh');
    global $wp_version;
    if(version_compare($wp_version,"2.7-alpha", "<"))
	array_push($prereqs, 'admin-forms');
    return $prereqs;
}

function post_box_toggles($trigger) {
    global $wp_version;
    if(version_compare($wp_version,"2.7-alpha", "<")) {
	echo "add_postbox_toggles(\"$trigger\");"; //For WP2.6 and below
    } else {
	echo "postboxes.add_postbox_toggles(\"$trigger\");"; //For WP2.7 and above
    }
}

function wt_button_class($return = false) {
    global $wp_version;
    $class = "";
    if(version_compare($wp_version,"2.7-alpha", "<"))
	$class = "button-secondary";
    else
	$class = "button-primary";
    if ($return)
	return $class;
    else
	echo $class;
}

function wt_alt_button_class($return = false) {
    global $wp_version;
    $class = "";
    if(version_compare($wp_version,"2.7-alpha", "<"))
	$class = "button";
    else
	$class = "button-secondary";
    if ($return)
	return $class;
    else
	echo $class;
}

function wt_checkAll($form, $return = false) {
    global $wp_version;
    if (version_compare($wp_version, "2.7-alpha", "<")) {
	$ret = " onclick=\"checkAll({$form});\" ";
    } else
	$ret = "";
    if ($return) return $ret;
    echo $ret;
}

function wt_text_area_size($rows, $cols) {
    global $wp_version;
    if(version_compare($wp_version,"2.7-alpha", "<")) {
	$rows *= 2;
	$cols *= 2;
    }
    return " rows=\"$rows\" cols=\"$cols\" ";
}

function wt_text_box_size($size) {
    global $wp_version;
    if(version_compare($wp_version,"2.7-alpha", "<")) {
	$size *= 2;
    }
    return " size=\"$size\" ";
}

if (!function_exists("json_encode")) {
    require_once "JSON.php";
    global $json_serv_obj;
    $json_serv_obj = new Services_JSON();
    function json_encode($var) {
	global $json_serv_obj;
	return $json_serv_obj->encode($var);
    }
    function json_decode($var) {
	global $json_serv_obj;
	return $json_serv_obj->decode($var);
    }
}

if (!function_exists("admin_url")) {
    function admin_url($path='') {
	$url = get_option('siteurl').'/wp-admin/';

	if ( !empty($path) && is_string($path) && strpos($path, '..') === false )
		$url .= ltrim($path, '/');

	return apply_filters('admin_url', $url, $path);
    }
}

?>